Merge lp:~liuyq0307/lava-android-test/separate-methanol into lp:lava-android-test

Proposed by Yongqin Liu
Status: Merged
Merged at revision: 201
Proposed branch: lp:~liuyq0307/lava-android-test/separate-methanol
Merge into: lp:lava-android-test
Diff against target: 101 lines (+22/-15)
1 file modified
lava_android_test/test_definitions/methanol/methanol.sh (+22/-15)
To merge this branch: bzr merge lp:~liuyq0307/lava-android-test/separate-methanol
Reviewer Review Type Date Requested Status
Yongqin Liu tested Approve
Review via email: mp+121379@code.launchpad.net

Description of the change

separate the methanol test to make we can run one type each time,
so that the the test will have a timeout of 18000s

To post a comment you must log in.
Revision history for this message
Yongqin Liu (liuyq0307) wrote :

tested it on staging, and the result is here.
http://validation.linaro.org/lava-server/dashboard/streams/anonymous/bundles/6fb1c19a5f12c050adaad13a4e791cd9648fc25c/

* the job on staging is deleted, and the above url is the result get from staging and put to validation

Revision history for this message
Yongqin Liu (liuyq0307) :
review: Approve (tested)
Revision history for this message
Yongqin Liu (liuyq0307) wrote :

merge this branch first, will update it when any comments are given

Also, this branch just works well for panda stable build.

for origen and snowball build, seems there are some problems to run the smp test.
will check that on android side

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'lava_android_test/test_definitions/methanol/methanol.sh'
2--- lava_android_test/test_definitions/methanol/methanol.sh 2012-08-16 10:36:11 +0000
3+++ lava_android_test/test_definitions/methanol/methanol.sh 2012-08-27 08:25:23 +0000
4@@ -40,6 +40,7 @@
5 ADB_OPTION=""
6 domain_ip="${DEFAULT_DOMAIN_IP}"
7 browser="${DEFAULT_BROWSER}"
8+test_target=""
9
10 function parse_arg(){
11 serial=""
12@@ -65,6 +66,14 @@
13 domain_ip="$2"
14 shift 2
15 ;;
16+ --target|-t)
17+ if [ "x$2" = "x" ]; then
18+ echo "Error: $1 requires an argument"
19+ exit 1
20+ fi
21+ test_target="$2"
22+ shift 2
23+ ;;
24 --help|-h)
25 show_usage
26 exit 0
27@@ -125,7 +134,7 @@
28 cleanup
29 exit 1
30 fi
31-
32+
33 adb ${ADB_OPTION} uninstall com.android.chrome
34
35 echo "adb ${ADB_OPTION} install ./Chrome-latest.apk"
36@@ -220,10 +229,9 @@
37 else
38 return 0
39 fi
40- wait_minutes=${2-1}
41
42- for (( i=1; i<=${wait_minutes}; i++ )); do
43- sleep 60
44+ for (( i=1; ; i++ )); do
45+ sleep 300
46 if [ -f "${file_path}" ]; then
47 return 0
48 fi
49@@ -238,15 +246,13 @@
50 test_type=""
51 fi
52
53- wait_minutes=${2-1}
54-
55 result_file=`mktemp -u --tmpdir=${report_res_dir} fire${test_type}-XXX.json`
56 res_basename=`basename ${result_file}`
57 test_url="${domain_protocol}/${methanol_url}/fire${test_type}.html"
58 if [ -n "${report_url}" ]; then
59 test_url="${test_url}?reportToUrl=${report_url}%3Fsave2file=${res_basename}"
60 fi
61-
62+
63 component_default="com.android.browser/.BrowserActivity"
64 component_chrome=" com.android.chrome/com.google.android.apps.chrome.Main"
65 if [ "${browser}" = "CHROME" ]; then
66@@ -256,7 +262,7 @@
67 fi
68 echo "adb ${ADB_OPTION} shell am start -a android.intent.action.VIEW -d ${test_url} -n ${component}"
69 adb ${ADB_OPTION} shell "am start -a android.intent.action.VIEW -d ${test_url} -n ${component}"
70- wait_result "${result_file}" ${wait_minutes}
71+ wait_result "${result_file}"
72 if [ $? -eq 0 ]; then
73 cur_path=`pwd`
74 cp -uvf ${result_file} ${cur_path}/${res_basename}
75@@ -287,18 +293,19 @@
76
77 function main(){
78 parse_arg "$@"
79-
80+
81 trap cleanup EXIT
82
83 deploy
84
85 check_url
86- echo `date`: starts to test fire.html
87- test_methanol "" 30
88- echo `date`: starts to test fire-svg.html
89- test_methanol "svg" 150
90- echo `date`: starts to test fire-smp.html
91- test_methanol "smp" 100
92+
93+ page_suffix='${test_target}'
94+ if [ -n "${page_suffix}" ]; then
95+ page_suffix="-${test_target}"
96+ fi
97+ echo `date`: starts to test fire${page_suffix}.html
98+ test_methanol "${test_target}"
99 echo `date`: all tests completed
100
101 echo "Merge results of file: ${RESULTS[@]}"

Subscribers

People subscribed via source and target branches